---
title: "Hemnet API: Sold | Perceptlayer"
description: "Sold from Hemnet as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/hemnet/sold
---

[APIs](https://perceptlayer.com/apis) / [Hemnet](https://perceptlayer.com/apis/hemnet) / Sold

# Hemnet: Sold

Sold from Hemnet as JSON. 1 credit per successful call.

GET `/v1/hemnet/sold`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `location_ids` | string | Optional | Up to 500 characters |
| `location_slugs` | string | Optional | Up to 500 characters |
| `housing_form_groups` | string | Optional | Up to 200 characters |
| `price_min` | integer | Optional | Any |
| `price_max` | integer | Optional | Any |
| `fee_min` | integer | Optional | Any |
| `fee_max` | integer | Optional | Any |
| `living_area_min` | integer | Optional | Any |
| `living_area_max` | integer | Optional | Any |
| `rooms_min` | number | Optional | Any |
| `rooms_max` | number | Optional | Any |
| `land_area_min` | integer | Optional | Any |
| `land_area_max` | integer | Optional | Any |
| `square_meter_price_min` | integer | Optional | Any |
| `square_meter_price_max` | integer | Optional | Any |
| `expand_locations` | string | Optional | EXPAND\_1000M, EXPAND\_2000M, EXPAND\_5000M, EXPAND\_10000M, EXPAND\_15000M, EXPAND\_30000M, EXPAND\_50000M, EXPAND\_100000M |
| `sort` | string | Optional | AREA, AREA\_DESC, HIGHEST\_FEE, HIGHEST\_PRICE, HIGHEST\_PRICE\_PER\_M2, LARGEST\_LAND\_AREA, LARGEST\_LIVING\_AREA, LARGEST\_PRICE\_CHANGE, LEAST\_ROOMS, LOWEST\_FEE, LOWEST\_PRICE, LOWEST\_PRICE\_PER\_M2, MOST\_ROOMS, NEWEST, OLDEST, SMALLEST\_LAND\_AREA, SMALLEST\_LIVING\_AREA, SMALLEST\_PRICE\_CHANGE, STREET\_ADDRESS, STREET\_ADDRESS\_DESC |
| `offset` | integer | Optional | Any |
| `limit` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/hemnet/sold?location_ids=18031&limit=20" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/hemnet?try=sold#playground) with your own parameters. 1 credit per successful call; failed calls are free.
